<?php
/**
 * Plugin Name: CF7 Load on Contact Page
 * Plugin URI: https://webyblog.es/
 * Description: Carga los scripts y estilos de Contact Form 7 solo en la página con el slug 'web-contactar'.
 * Version: 1.0.0
 * Author: Juan Luis Martel
 * Author URI: https://webyblog.es/
 * License: GPL2
 */

// Previene la ejecución directa del archivo.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Desactiva la carga automática de scripts y estilos de CF7.
 */
add_filter( 'wpcf7_load_js', '__return_false' );
add_filter( 'wpcf7_load_css', '__return_false' );

/**
 * Carga los scripts y estilos de CF7 solo en la página con el slug 'web-contactar'.
 */
function jlmr_cargar_cf7_en_contactar() {
    if ( is_page('web-contactar') ) {
        // Verifica si las funciones de CF7 existen antes de llamarlas.
        if ( function_exists( 'wpcf7_enqueue_scripts' ) ) {
            wpcf7_enqueue_scripts();
        }

        if ( function_exists( 'wpcf7_enqueue_styles' ) ) {
            wpcf7_enqueue_styles();
        }
    }
}

// Engancha la función al hook 'wp_enqueue_scripts'.
add_action( 'wp_enqueue_scripts', 'jlmr_cargar_cf7_en_contactar' );
